package com.ruoyi.custclient.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 标签组对象 label_type
 * 
 * @author zhangyubo
 * @date 2024-10-16
 */
public class LabelType extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 标签组名称 */
    @Excel(name = "标签组名称")
    private String name;

    /** 标签组规则 0仅可以添加一个标签，1允许添加多个标签 */
    @Excel(name = "标签组规则 0仅可以添加一个标签，1允许添加多个标签")
    private Long rule;

    /** 显示状态 0是存在 1是删除 */
    @Excel(name = "显示状态 0是存在 1是删除")
    private String flag;

    /** 关联查询时使用 */
    @Excel(name = "关联查询时使用")
    private Long labelTypeId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setRule(Long rule) 
    {
        this.rule = rule;
    }

    public Long getRule() 
    {
        return rule;
    }
    public void setFlag(String flag) 
    {
        this.flag = flag;
    }

    public String getFlag() 
    {
        return flag;
    }
    public void setLabelTypeId(Long labelTypeId) 
    {
        this.labelTypeId = labelTypeId;
    }

    public Long getLabelTypeId() 
    {
        return labelTypeId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("rule", getRule())
            .append("flag", getFlag())
            .append("labelTypeId", getLabelTypeId())
            .toString();
    }
}
